package test.org.itscool.commons.aop;
import org.itscool.commons.aop.ProxyMethodHandler;
import org.itscool.commons.aop.ProxyMethodInvocator;

public class HelloAdvice3 implements ProxyMethodHandler{
	public Object invoke(ProxyMethodInvocator invocator) throws Throwable{
		System.out.println("befor good by");
	    Object obj = invocator.proceed();
	    System.out.println("after good by");
	    return obj;
	}
	
}